graphics/R-polyclip - The NetBSD Packages Collection

Polygon Clipping

R port of Angus Johnson's open source library Clipper. Performs
polygon clipping operations (intersection, union, set minus, set
difference) for polygonal regions of arbitrary complexity, including
holes. Computes offset polygons (spatial buffer zones, morphological
dilations, Minkowski dilations) for polygonal regions and polygonal
lines. Computes Minkowski Sum of general polygons. There is a function
for removing self-intersections from polygon data.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

math/R math/R

Binary packages

OSArchitectureVersion
NetBSD 8.0i386R-polyclip-1.10.0.tgz
NetBSD 8.0i386R-polyclip-1.10.0.tgz
NetBSD 8.0powerpcR-polyclip-1.10.0.tgz
NetBSD 8.0powerpcR-polyclip-1.10.0.tgz
NetBSD 8.0powerpcR-polyclip-1.10.0.tgz
NetBSD 8.0powerpcR-polyclip-1.10.0.tgz
NetBSD 8.0x86_64R-polyclip-1.10.0.tgz
NetBSD 8.0x86_64R-polyclip-1.10.0.tgz
NetBSD 9.0aarch64R-polyclip-1.10.0.tgz
NetBSD 9.0aarch64R-polyclip-1.10.0.tgz
NetBSD 9.0aarch64R-polyclip-1.10.0.tgz
NetBSD 9.0alphaR-polyclip-1.10.0.tgz
NetBSD 9.0alphaR-polyclip-1.10.0.tgz
NetBSD 9.0alphaR-polyclip-1.10.0.tgz
NetBSD 9.0i386R-polyclip-1.10.0.tgz
NetBSD 9.0i386R-polyclip-1.10.0.tgz
NetBSD 9.0i386R-polyclip-1.10.0.tgz
NetBSD 9.0powerpcR-polyclip-1.10.0.tgz
NetBSD 9.0powerpcR-polyclip-1.10.0.tgz
NetBSD 9.0powerpcR-polyclip-1.10.0.tgz
NetBSD 9.0powerpcR-polyclip-1.10.0.tgz
NetBSD 9.0sparc64R-polyclip-1.10.0.tgz
NetBSD 9.0sparc64R-polyclip-1.10.0.tgz
NetBSD 9.0sparc64R-polyclip-1.10.0.tgz
NetBSD 9.0x86_64R-polyclip-1.10.0.tgz
NetBSD 9.0x86_64R-polyclip-1.10.0.tgz
NetBSD 9.0x86_64R-polyclip-1.10.0.tgz
NetBSD 9.0x86_64R-polyclip-1.10.0.tgz
NetBSD 9.0x86_64R-polyclip-1.10.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.